Skip to main content
PATCH
/
2025-09
/
contacts
/
{contact_id}
curl --request PATCH \
  --url https://public-api.stora.co/2025-09/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "John Doe Updated",
  "email": "john-2@doe.com",
  "address": {
    "line_1": "456 Main St",
    "line_2": "Apt 1B",
    "city": "Kindtown",
    "postal_code": "54321",
    "state": null,
    "country_alpha2": "GB"
  },
  "metadata": {
    "source": "updated"
  }
}
'
{
  "contact": {
    "id": "con_0ac0514ed0711462",
    "address": {
      "city": "Kindtown",
      "country_alpha2": "GB",
      "line_1": "456 Main St",
      "line_2": "Apt 1B",
      "postal_code": "54321",
      "state": null
    },
    "company_registration_number": null,
    "created_at": "2025-02-20T14:41:00Z",
    "email": "john-2@doe.com",
    "full_name": "John Doe Updated",
    "marketing_source": null,
    "metadata": {
      "source": "updated"
    },
    "phone_number": null,
    "source": null,
    "stripe_customer_id": "cus_SqaLe6rJhviOGm",
    "tax_id": null,
    "tenancies_count": 0,
    "type": null,
    "updated_at": "2025-02-22T14:41:00Z",
    "use_case": null
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

contact_id
string
required

The ID of the contact to retrieve

Body

application/json

Update Contact Request

email
string<email>

The contact's email address

full_name
string | null

The contact's name

phone_number
string | null

The contact's phone number

tax_id
string | null

The contact's tax ID

Maximum string length: 30
company_registration_number
string | null

The contact's company registration number

Maximum string length: 30
type
enum<string> | null

The type of contact

Available options:
domestic,
company,
student,
charity,
local_authority
source
enum<string> | null

The source of the contact data

Available options:
pre_open,
incomplete_booking,
registered_interest,
price_interest,
quotation_request,
booking,
popup,
external_enquiry,
phone,
walkin,
import,
other
marketing_source
enum<string> | null

What channel did the contact find us through

Available options:
used_before,
recommendation,
received_leaflet,
seen_building_signs,
seen_advert,
facebook_marketplace,
google_search,
other_online_search,
social_media,
email,
radio,
other
use_case
enum<string> | null

Why does the contact require storage

Available options:
business_needs,
moving_home,
more_space,
refurb,
travelling,
other
address
object

Address

metadata
object

Set of key-value pairs for storing additional information on the contact. Learn more about metadata.

Response

contact successfully updated

Single Contact

contact
object

Contact

meta
object